﻿
@if (_loadingData)
{
    <div class="row text-center w-100">
        <div class="col">
            Carregando Alertas...
            <div class="spinner-border text-dark mr-2" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
    </div>
}
else
{
    <h3 class="mb-2">Últimos Alertas</h3>

    <table class="table border border-danger rounded">
        <thead class="bg-danger text-white rounded-top">
            <tr>
                <th scope="col">Célula</th>
                <th scope="col">Alerta</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var alert in _alerts)
            {
                <tr class="text-danger font-weight-bold">
                    <td>@alert.Address</td>
                    <td>@alert.AlertType</td>
                </tr>
            }
        </tbody>
    </table>
}
